Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418412 - hammer: Multibyte and Latin-1 Org names break list pagination
Summary: hammer: Multibyte and Latin-1 Org names break list pagination
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1023127
Blocks: 1393611
TreeView+ depends on / blocked
 
Reported: 2017-02-01 19:01 UTC by Brad Buckingham
Modified: 2019-04-01 20:27 UTC (History)
12 users (show)

Fixed In Version: tfm-rubygem-hammer_cli-0.5.1.13-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1023127
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
verified (66.86 KB, image/png)
2017-06-21 13:27 UTC, Chris Brown
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 3520 0 None None None 2017-02-01 19:01:34 UTC

Comment 2 Chris Brown 2017-06-21 13:27:50 UTC
Created attachment 1290065 [details]
verified

Comment 3 Chris Brown 2017-06-21 13:29:04 UTC
Verified in Satellite 6.3 snap 3. See output below

[root@lenovo-x3850-02 ~]# hammer -u admin -p changeme organization list
---|-----------------------------|-------------|----------------------|------------
ID | NAME                        | DESCRIPTION | LABEL                | DESCRIPTION
---|-----------------------------|-------------|----------------------|------------
1  | Default Organization        |             | Default_Organization |            
16 | FFLQnXB                     |             | FFLQnXB              |            
27 | foobar                      | bug fixed?  | verify               | bug fixed? 
20 | GqhpsHt                     |             | GqhpsHt              |            
22 | jalapeño                    |             | test                 |            
26 | KT-[ACME_Corporation]       | testing     | bug_test             | testing    
25 | KT-[Katello_Infrastructure] | test        | bug                  | test       
6  | neDZzyWVlmGI                |             | neDZzyWVlmGI         |            
18 | pkvTGtrXx                   |             | pkvTGtrXx            |            
10 | pQcVCkJiyO                  |             | pQcVCkJiyO           |            
17 | QRPGVGEurEeq                |             | QRPGVGEurEeq         |            
5  | QSlsZPzPDPg                 |             | QSlsZPzPDPg          |            
7  | rXBgnV                      |             | rXBgnV               |            
19 | sZtUylyEHKd                 |             | sZtUylyEHKd          |            
21 | uleWYjZA                    |             | uleWYjZA             |            
13 | vFoomoYeRXh                 |             | vFoomoYeRXh          |            
14 | vRsedAS                     |             | vRsedAS              |            
8  | zqIZih                      |             | zqIZih               |            
24 | 你好                        | 你好        | not-english2         | 你好       
23 | 大傻瓜                      | bug test    | not-english1         | bug test   
---|-----------------------------|-------------|----------------------|---------

Comment 4 Og Maciel 2017-06-21 15:59:06 UTC
fyi, this was verified by the automation.

Comment 7 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.